<?php

namespace App\Http\Controllers;

use App\Models\Customer;
use Illuminate\Http\Request;

class CustomerController extends Controller
{
    public function index(){
        $customers  = Customer::all();
        return view('customer.list', compact('customers'));
    }

    public function show($id){

    }

    public function create(){
        return view('customer.create');
    }

    public function store(Request $request){
        $data = $request->all();
        if(isset($data['photo'])){
            $name = $data['photo']->hashName();
            $data['photo']->move('uploads/customers',$name);
            $data['photo'] = $name;
        }

        Customer::create($data);
        return redirect('customer')->withErrors('Enregistrement effectué avec succès');
    }

    public function edit($id){
        $data = Customer::find(decrypt($id));
        return view('customer.edit', compact('data'));
    }

    public function update($id, Request $request){
        $data = $request->all();
        if(isset($data['photo'])){
            $name = $data['photo']->hashName();
            $data['photo']->move('uploads/customers', $name);
            $data['photo'] = $name;
        }
        Customer::find(decrypt($id))->update($data);
        return redirect('customer')->withErrors('Modification effectuée avec succès');
    }

    public function delete($id){
        Customer::find(decrypt($id))->delete();
        return redirect('customer')->withErrors('Suppression effectuée avec succès');
    }
}
