<?php

namespace App\Http\Controllers;

use App\Models\Supplier;
use Illuminate\Http\Request;

class SupplierController extends Controller
{
    public function index(){
        $suppliers  = Supplier::all();
        return view('supplier.list', compact('suppliers'));
    }

    public function create(){
        return view('supplier.create');
    }

    public function store(Request $request){
        $data = $request->all();
        if(isset($data['photo'])){
            $name = $data['photo']->hashName();
            $data['photo']->move('uploads/suppliers',$name);
            $data['photo'] = $name;
        }

        Supplier::create($data);
        return redirect('supplier')->withErrors('Enregistrement effectué avec succès');
    }

    public function edit($id){
        $data = Supplier::find(decrypt($id));
        return view('supplier.edit', compact('data'));
    }

    public function update($id, Request $request){
        $data = $request->all();
        if(isset($data['photo'])){
            $name = $data['photo']->hashName();
            $data['photo']->move('uploads/suppliers', $name);
            $data['photo'] = $name;
        }
        Supplier::find(decrypt($id))->update($data);
        return redirect('supplier')->withErrors('Modification effectuée avec succès');
    }

    public function delete($id){
        Supplier::find(decrypt($id))->delete();
        return redirect('supplier')->withErrors('Suppression effectuée avec succès');
    }
}
