<?php

namespace App\Http\Controllers;

use App\Models\Category;
use Illuminate\Http\Request;

class CategoryController extends Controller
{
    public function index(){
        $categories  = Category::all();
        return view('category.list', compact('categories'));
    }

    public function create(){
        $parents = Category::whereNull('parent_id')->get();
        return view('category.create', compact('parents'));
    }

    public function store(Request $request){
        Category::create($request->all());
        return redirect('category')->withErrors('Enregistrement effectué avec succès');
    }

    public function edit($id){
        $data = Category::find(decrypt($id));
        $parents = Category::whereNull('parent_id')->get();
        return view('category.edit', compact('data', 'parents'));
    }

    public function update($id, Request $request){
        $data = $request->all();
        Category::find(decrypt($id))->update($data);
        return redirect('category')->withErrors('Modification effectuée avec succès');
    }

    public function delete($id){
        Category::find(decrypt($id))->delete();
        return redirect('category')->withErrors('Suppression effectuée avec succès');
    }
}
