<?php $__env->startSection('content'); ?>
    <?php echo $__env->make('layouts.headers.cards', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    <div class="container-fluid mt--7">
        <div class="row">
            <div class="col">
                <div class="card shadow">
                    <div class="card-header border-0">
                        <?php if($errors->any()): ?>
                            <div class="msg" style="background: lightgreen; width: 100%; border-radius: 4px; padding: 0px 15px; margin: auto; ">
                                <p style="color: darkgreen; vertical-align: middle">
                                    <?php echo e($errors->first()); ?>

                                </p>
                            </div><br>
                        <?php endif; ?>
                        <div class="row align-items-center">
                            <div class="col-8">
                                <h3 class="mb-0"><?php echo e(__('Produits')); ?></h3>
                            </div>
                            <?php if(auth()->user()->isAdmin()): ?>
                            <div class="col-4 text-right">
                                <a href="<?php echo e(route('createItem')); ?>" class="btn btn-sm btn-primary"><?php echo e(__('Ajouter un produit')); ?></a>
                            </div>
                            <?php endif; ?>
                        </div>
                    </div>

                    <div class="col-12">
                        <?php if(session('status')): ?>
                            <div class="alert alert-success alert-dismissible fade show" role="alert">
                                <?php echo e(session('status')); ?>

                                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                        <?php endif; ?>
                    </div>

                    <div style="margin-left: 25px">
                        <span style="display: inline-block">
                            <div style="background: lightpink; border: none; width: 20px; height: 10px"></div>
                        </span>
                        <span style="display: inline-block; font-size: 14px">
                             <div>Alerte d'approvisionnement</div>
                        </span><br><br>
                    </div>


                    <div class="table-responsive">
                        <table class="table align-items-center table-flush">
                            <thead class="thead-light">
                            <tr>
                                <th scope="col"><?php echo e(__('Image')); ?></th>
                                <th scope="col"><?php echo e(__('Nom')); ?></th>
                                <th scope="col"><?php echo e(__('Categorie')); ?></th>


                                <th scope="col"><?php echo e(__('Quantité restante')); ?></th>

                                <th scope="col"><?php echo e(__('Prix de vente gros')); ?></th>
                                <th scope="col"><?php echo e(__('Prix de vente détail')); ?></th>

                                <th scope="col"></th>
                            </tr>
                            </thead>
                            <tbody>
                            <?php $__currentLoopData = $items; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr <?php if($item->remaining_quantity <= $item->threshold): ?> style="background: lightpink; height: 80px" <?php endif; ?> style="height: 80px">
                                    <td>
                                        <?php if($item->image): ?>
                                            <a href="<?php echo e(url('uploads/items/'.$item->image)); ?>" target="_blank"><img src="<?php echo e(url('uploads/items/'.$item->image)); ?>" alt="" style="width: 60px; height: 60px; object-fit: cover; border-radius: 5px"/></a>
                                        <?php endif; ?>
                                    </td>
                                    <td><?php echo e($item->name); ?></td>
                                    <td><?php echo e($item->category->name); ?></td>


                                    <td><?php echo e($item->remaining_quantity); ?></td>

                                    <td><?php echo e($item->wholesale_price); ?> <?php echo e($item->currency); ?></td>
                                    <td><?php echo e($item->retail_price); ?> <?php echo e($item->currency); ?></td>

                                    <td>
                                        <?php if(auth()->user()->isAdmin()): ?>
                                        <a href="/edititem/<?php echo e($item->id); ?>"><i class="fas fa-pencil-alt"></i></a>
                                        &nbsp
                                        <a href="/deleteitem/<?php echo e($item->id); ?>"><i class="fas fa-trash"></i></a>
                                        <?php endif; ?>
                                    </td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                    </div>
                    <div class="card-footer py-4">
                        <nav class="d-flex justify-content-end" aria-label="...">

                        </nav>
                    </div>
                </div>
            </div>
        </div>

        <?php echo $__env->make('layouts.footers.auth', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    </div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', ['title' => __('User Management')], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php /* C:\xampp\htdocs\stock\resources\views/item/list.blade.php */ ?>