<?php $__env->startSection('content'); ?>
    <?php echo $__env->make('users.partials.header', ['title' => __('Vente')], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    <div class="container-fluid mt--7">
        <div class="row">
            <div class="col-xl-12 order-xl-1">
                <div class="card bg-secondary shadow">
                    <div class="card-header bg-white border-0">
                        <div class="row align-items-center">
                            <div class="col-8">
                                <h3 class="mb-0"><?php echo e(__('Enregistrer une vente')); ?></h3>
                            </div>
                            <div class="col-4 text-right">
                                <a href="<?php echo e(route('sale.index')); ?>" class="btn btn-sm btn-primary"><?php echo e(__('Retourner à la liste')); ?></a>
                            </div>
                        </div>
                    </div>
                    <div class="card-body">
                        <form method="post" action="/sale" autocomplete="off">
                            <?php echo csrf_field(); ?>

                            <h6 class="heading-small text-muted mb-4"><?php echo e(__('Informations sur la vente')); ?></h6>
                            <div class="pl-lg-4">
                                <?php if($errors->any()): ?>
                                <div class="msg">
                                    <p>
                                        <i class="fas fa-check"></i> <?php echo e($errors->first()); ?>

                                    </p>
                                </div>
                                <?php endif; ?>
                                <div class="form-group<?php echo e($errors->has('name') ? ' has-danger' : ''); ?>">
                                    <label class="form-control-label" for="input-name"><?php echo e(__('Client')); ?></label><br>
                                    <select name="customer_id" class="form-control form-control-alternative<?php echo e($errors->has('name') ? ' is-invalid' : ''); ?>"  id="">
                                        <?php $__currentLoopData = $customers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $customer): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($customer->id); ?>" <?php if($customer == $customerOnly): ?> selected <?php endif; ?>><?php echo e($customer->name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    <?php if($errors->has('name')): ?>
                                        <span class="invalid-feedback" role="alert">
                                            <strong><?php echo e($errors->first('name')); ?></strong>
                                        </span>
                                    <?php endif; ?>
                                </div>

                                <div class="form-group<?php echo e($errors->has('name') ? ' has-danger' : ''); ?>">
                                    <div style="display: inline-block;">
                                        <label class="form-control-label" for="input-name"><?php echo e(__('Produit')); ?></label><br>
                                        <select name="item_id[]" class="form-control form-control-alternative<?php echo e($errors->has('name') ? ' is-invalid' : ''); ?>"  id="">
                                            <?php $__currentLoopData = $items; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($item->id); ?>"><?php echo e($item->name); ?> - <?php echo e($item->category->name); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>
                                        <?php if($errors->has('name')): ?>
                                            <span class="invalid-feedback" role="alert">
                                                <strong><?php echo e($errors->first('name')); ?></strong>
                                            </span>
                                        <?php endif; ?>
                                    </div>
                                    &nbsp; &nbsp;
                                    <div style="display: inline-block; vertical-align: top">
                                        <label class="form-control-label" for="input-name"><?php echo e(__('Quantité')); ?></label>
                                        <input type="number" class="form-control form-control-alternative" name="quantity[]" value="1"/>
                                    </div>

                                </div>
                                <div id="command-bloc">

                                </div>

                                <button class="btn btn-primary" id="btn-command" type="button">Ajouter un produit <i class="ni ni-fat-add" style="font-size: 1em"></i></button>

                                <div class="text-center">
                                    <button type="submit" class="btn btn-success mt-4"><?php echo e(__('Enregistrer')); ?></button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>

        <template id="command">
            <div class="form-group<?php echo e($errors->has('name') ? ' has-danger' : ''); ?>">
                <div style="display: inline-block;">
                    <label class="form-control-label" for="input-name"><?php echo e(__('Produit')); ?></label><br>
                    <select name="item_id[]" class="form-control form-control-alternative<?php echo e($errors->has('name') ? ' is-invalid' : ''); ?>"  id="">
                        <?php $__currentLoopData = $items; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option value="<?php echo e($item->id); ?>"><?php echo e($item->name); ?> - <?php echo e($item->category->name); ?></option>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>
                    <?php if($errors->has('name')): ?>
                        <span class="invalid-feedback" role="alert">
                            <strong><?php echo e($errors->first('name')); ?></strong>
                        </span>
                    <?php endif; ?>
                </div>
                &nbsp; &nbsp;
                <div style="display: inline-block; vertical-align: top">
                    <label class="form-control-label" for="input-name"><?php echo e(__('Quantité')); ?></label>
                    <input type="number" class="form-control form-control-alternative" name="quantity[]" value="1"/>
                </div>

            </div>
        </template>

        <?php echo $__env->make('layouts.footers.auth', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('js'); ?>
    <script>
        $('#btn-command').click(function(){
            $('#command-bloc').append($('#command').html())
        })
    </script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make('layouts.app', ['title' => __('User Management')], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php /* C:\xampp\htdocs\stock\resources\views/sale/create.blade.php */ ?>