<?php $__env->startSection('content'); ?>
    <?php echo $__env->make('layouts.headers.cards', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    <div class="container-fluid mt--7">
        <div class="row">
            <div class="col">
                <div class="card shadow">
                    <div class="card-header border-0">
                        <div class="row align-sales-center">
                            <div class="col-8">
                                <h3 class="mb-0"><?php echo e(__('Ventes')); ?></h3>
                            </div>
                            <div class="col-4 text-right">
                                <a href="<?php echo e(route('createSale')); ?>" class="btn btn-sm btn-primary"><?php echo e(__('Enregistrer une vente')); ?></a>
                            </div>
                        </div>
                    </div>

                    <?php if($errors->any()): ?>
                        <div class="msg">
                            <p>
                                <i class="fas fa-check"></i> <?php echo e($errors->first()); ?>

                            </p>
                        </div>
                    <?php endif; ?>

                    <div class="col-12">
                        <?php if(session('status')): ?>
                            <div class="alert alert-success alert-dismissible fade show" role="alert">
                                <?php echo e(session('status')); ?>

                                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                        <?php endif; ?>
                    </div>

                    <div class="table-responsive">
                        <table class="table align-sales-center table-flush">
                            <thead class="thead-light">
                            <tr>

                                <th scope="col"><?php echo e(__('Date d\'enregistrement')); ?></th>
                                <th scope="col"><?php echo e(__('Client')); ?></th>
                                <th scope="col"><?php echo e(__('Total')); ?></th>
                                <th scope="col"><?php echo e(__('Payée')); ?></th>
                                <th scope="col"><?php echo e(__('Détails')); ?></th>
                                <th scope="col"><?php echo e(__('Imprimer')); ?></th>
                                
                            </tr>
                            </thead>
                            <tbody>
                            <?php $__currentLoopData = $sales; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $sale): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    
                                    <td><?php echo e($sale->created_at->format('d-m-Y H:i:s')); ?></td>
                                    <td><?php echo e($sale->customer->name); ?></td>
                                    <td><?php echo e($sale->total); ?></td>
                                    <td>
                                        <label class="custom-toggle" style="color: green">
                                            <input type="checkbox" class="paid" data-id="<?php echo e($sale->id); ?>" <?php if($sale->paid): ?> checked <?php endif; ?>>
                                            <span class="custom-toggle-slider rounded-circle"></span>
                                        </label>
                                    </td>
                                    <td><a href="/sale/<?php echo e($sale->id); ?>"><i class="fas fa-info-circle"></i></a></td>
                                    <td><a href="/print/<?php echo e($sale->id); ?>" target="_blank"><i class="fas fa-print"></i></a></td>
                                    
                                        
                                        
                                    
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                    </div>
                    <div class="card-footer py-4">
                        <nav class="d-flex justify-content-end" aria-label="...">

                        </nav>
                    </div>
                </div>
            </div>
        </div>

        <?php echo $__env->make('layouts.footers.auth', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    </div>

    <?php $__env->startPush('js'); ?>
        <script>
            $('.paid').each(function(){
                if($(this).prop('checked')){
                    $(this).attr('disabled', 'disabled')
                }
            })
            $('.paid').change(function(){
                $.post('<?php echo e(route('togglePaid')); ?>', { _token : "<?php echo e(csrf_token()); ?>", id : $(this).attr('data-id') }, function(rsp){
                    console.log(rsp)
                })
                if($(this).prop('checked')){
                    $(this).attr('disabled', 'disabled')
                }
            })
        </script>
    <?php $__env->stopPush(); ?>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', ['title' => __('User Management')], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php /* C:\xampp\htdocs\stock\resources\views/sale/list.blade.php */ ?>