<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});
Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

Route::group(['middleware' => 'auth'], function () {
	Route::resource('user', 'UserController', ['except' => ['show']]);
	Route::get('profile', ['as' => 'profile.edit', 'uses' => 'ProfileController@edit']);
	Route::put('profile', ['as' => 'profile.update', 'uses' => 'ProfileController@update']);
	Route::put('profile/password', ['as' => 'profile.password', 'uses' => 'ProfileController@password']);
});

//Item Routes
Route::get('item', 'ItemController@index')->name('item');
Route::get('createItem', 'ItemController@create')->name('createItem');
Route::post('addItem','ItemController@store')->name('addItem');
Route::get('edititem/{id}', 'ItemController@edit')->name('edititem');
Route::post('UpdateItem/{id}','ItemController@update')->name('UpdateItem');
Route::any('/showitem', 'ItemController@show')->name('showItem');
Route::get('inventory', 'ItemController@inventory')->name('inventory');
Route::post('ravitailler/{id}','ItemController@ravitailler')->name('ravitailler');
Route::get('editinventory/{id}', 'ItemController@editInventory')->name('editinventory');
Route::get('deleteitem/{id}', 'ItemController@delete')->name('deleteitem');

//Customer Routes
Route::get('customer', 'CustomerController@index')->name('customer');
Route::get('createCustomer', 'CustomerController@create')->name('createCustomer');
Route::post('Addcustomer','CustomerController@store')->name('Addcustomer');
Route::get('editcustomer/{id}', 'CustomerController@edit')->name('editcustomer');
Route::post('Updatecustomer/{id}','CustomerController@update')->name('Updatecustomer');
Route::any('/showcustomer', 'CustomerController@show')->name('showCustomer');
Route::get('deletecustomer/{id}', 'CustomerController@delete')->name('deletecustomer');

//Command Routes
Route::resource('command', 'CommandController');
Route::any('/createcommand', 'CommandController@create')->name('createCommand');
Route::any('/editcommand/{id}', 'CommandController@edit')->name('createCommand');
Route::any('/showcommand', 'CommandController@show')->name('showCommand');

//Supplier Routes
Route::get('supplier', 'SupplierController@index')->name('supplier');
Route::get('createsupplier', 'SupplierController@create')->name('createSupplier');
Route::post('Addsupplier','SupplierController@store')->name('Addsupplier');
Route::get('editsupplier/{id}', 'SupplierController@edit')->name('editsupplier');
Route::post('Updatesupplier/{id}','SupplierController@update')->name('Updatesupplier');
Route::any('/showsupplier', 'SupplierController@show')->name('showSupplier');
Route::get('/deletesupplier/{id}', 'SupplierController@delete')->name('deletesupplier');

//Category Routes
Route::get('category', 'CategoryController@index')->name('category');
Route::get('createcategory', 'CategoryController@create')->name('createCategory');
Route::post('Addcategory','CategoryController@store')->name('Addcategory');
Route::get('editcategory/{id}', 'CategoryController@edit')->name('editcategory');
Route::any('/showcategory', 'CategoryController@show')->name('showCategory');
Route::get('deletecategory/{id}', 'CategoryController@delete')->name('deletecategory');
Route::post('Updatecategory/{id}','CategoryController@update')->name('Updatecategory');

//Basket Routes
Route::resource('basket', 'BasketController');
Route::any('/createbasket', 'BasketController@create')->name('createBasket');
Route::any('/editbasket/{id}', 'BasketController@edit')->name('editBasket');
Route::any('/showbasket', 'BasketController@show')->name('showBasket');

//Sale Routes
Route::get('sale', 'SaleController@index')->name('sale');
Route::get('createsale/{id?}', 'SaleController@create')->name('createSale');
Route::post('AddSale','SaleController@store')->name('AddSale');
Route::any('/editsale/{id}', 'SaleController@edit')->name('editSale');
Route::any('/showsale', 'SaleController@show')->name('showSale');
Route::post('print/{id}', 'SaleController@print')->name('print');
Route::any('/togglepaid', 'SaleController@togglePaid')->name('togglePaid');

//Search Routes
Route::get('search', 'SaleController@search')->name('search');





